Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class ObjectName

    java.lang.Object
      |
      +--javax.management.ObjectName

All Implemented Interfaces:
  java.io.Serializable

public class ObjectName
extends java.lang.Object
implements java.io.Serializable

Author:
  Young Yang
See Also:
  Serialized Form

Constructor Summary
`ObjectName(java.lang.String name)`
`ObjectName(java.lang.String domain, java.util.Hashtable table)`
`ObjectName(java.lang.String domain, java.lang.String key, java.lang.String value)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getCanonicalKeyPropertyListString()`
`java.lang.String` | `getCanonicalName()`
`java.lang.String` | `getDomain()`
`java.lang.String` | `getKeyProperty(java.lang.String property)`
`java.util.Hashtable` | `getKeyPropertyList()`
`java.lang.String` | `getKeyPropertyListString()`
`int` | `hashCode()`
`boolean` | `isPattern()`
`boolean` | `isPropertyPattern()`
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectName

    public ObjectName(java.lang.String name)
               throws MalformedObjectNameException

### ObjectName

    public ObjectName(java.lang.String domain,
                      java.lang.String key,
                      java.lang.String value)
               throws MalformedObjectNameException

### ObjectName

    public ObjectName(java.lang.String domain,
                      java.util.Hashtable table)
               throws MalformedObjectNameException

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isPattern

    public boolean isPattern()

### getCanonicalName

    public java.lang.String getCanonicalName()

### getDomain

    public java.lang.String getDomain()

### getKeyProperty

    public java.lang.String getKeyProperty(java.lang.String property)

### getKeyPropertyList

    public java.util.Hashtable getKeyPropertyList()

### getKeyPropertyListString

    public java.lang.String getKeyPropertyListString()

### getCanonicalKeyPropertyListString

    public java.lang.String getCanonicalKeyPropertyListString()

### isPropertyPattern

    public boolean isPropertyPattern()

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD